models/Articulos.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "articulos".
 *
 * @property int $id
 * @property string $titulo
 * @property string $texto
 * @property string $textoLargo
 * @property string $foto
 */
class Articulos extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'articulos';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['titulo', 'texto', 'textoLargo', 'foto'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'titulo' => 'Titulo',
            'texto' => 'Texto',
            'textoLargo' => 'Texto Largo',
            'foto' => 'Foto',
        ];
    }
}

models/Noticias.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "noticias".
 *
 * @property int $id
 * @property string $titulo
 * @property string $texto
 * @property string $foto
 */
class Noticias extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'noticias';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['titulo', 'texto', 'foto'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'titulo' => 'Titulo',
            'texto' => 'Texto',
            'foto' => 'Foto',
        ];
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use yii\data\ActiveDataProvider;

class SiteController extends Controller
{
    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }
    public function actionNoticias()
    {
        $datos= \app\models\Noticias::find()->all();
        return $this->render("noticias",[
                "noticias"=>$datos]);
    }
    public function actionArticulos(){
        $datos= \app\models\Articulos::find()->all();
        return $this->render('articulos',[
            "articulos"=>$datos
        ]);
    }
    public function actionArticuloampliado($id){
        $articulos= \app\models\Articulos::find()
                ->where(['id'=>$id])
                ->one();
        //$dataProvider=new ActiveDataProvider
        
        return $this->render("articuloAmpliado",[
            "id"=>$id,
            "articulos"=>$articulos,
        ]);
    }
    public function actionTodo(){
        
        
        $datos= \app\models\Noticias::find();
        $datos1= \app\models\Articulos::find();
        
        $dataProvider = new ActiveDataProvider([
            'query' => $datos,
            'pagination'=>[
                'pageSize'=>1,
                'pageParam'=>'uno',
            ]
        ]);
        $dataProvider1 = new ActiveDataProvider([
            'query' => $datos1,
            'pagination'=>[
                'pageSize'=>1,
                'pageParam'=>'dos',
            ]
        ]);
        

       
        return $this->render('todo',[
            "dataProvider"=>$dataProvider,
            "dataProvider1"=>$dataProvider1,
        ]);
    }

    
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?= Html::csrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => [
            ['label' => 'Noticias', 'url' => ['/site/noticias']],
            ['label' => 'Articulos', 'url' => ['/site/articulos']],
            ['label' => 'Todo', 'url' => ['/site/todo']],
            
        ],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left">Cristina Galán <?= date('Y') ?></p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/articuloAmpliado.php
<?php
use yii\helpers\Html;

//echo "$id";
//var_dump($articulos);
//echo $articulos->titulo;
//echo $articulos->texto;
?>

<div class="row">
  <div class="col-md-12 col-lg-8">
    <div class="thumbnail">
      <?= Html::img('@web/imgs/'.$articulos->foto, ['alt' => 'My logo', 'width'=>'900px']) ?>
      <div class="caption">
        <h3><?= $articulos->titulo ?></h3>
        <p><?= $articulos->texto ?></p>
        
      </div>
    </div>
  </div>
</div>

views/site/articulos.php
<?php
use yii\helpers\Html;

?>
<div class="site-index">
    <div class="row">
        <?php
        foreach ($articulos as $reg){
        ?>
      <div class="col-xs-6 col-md-3">
          <?= yii\helpers\Html::img("@web/imgs/".$reg->foto,[
              'class'=>'img-responsive img-rounded',
              'style'=>'margin-top:10px',
          ])?>
          <?= "<h2>$reg->titulo</h2>" ?>
          <?= "<p>$reg->texto</p>" ?>
          <?= Html::a('Leer más', ['/site/articuloampliado',
              "id"=>$reg->id,
          ], 
             ['class'=>'btn btn-primary',
              ]) ?>
   
          
      </div>
        
       <?php 
        }
       ?>
        
    </div>
    
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

/* @var $this yii\web\View */

$this->title = 'My Yii Application';
?>
<div class="site-index">

    <div class="jumbotron">
        <h1>Congratulations!</h1>

        <p class="lead">You have successfully created your Yii-powered application.</p>

        <p><a class="btn btn-lg btn-success" href="http://www.yiiframework.com">Get started with Yii</a></p>
    </div>

    <div class="body-content">

        <div class="row">
            <div class="col-lg-4">
                <h2>Heading</h2>

                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.</p>

                <p><a class="btn btn-default" href="http://www.yiiframework.com/doc/">Yii Documentation &raquo;</a></p>
            </div>
            <div class="col-lg-4">
                <h2>Heading</h2>

                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.</p>

                <p><a class="btn btn-default" href="http://www.yiiframework.com/forum/">Yii Forum &raquo;</a></p>
            </div>
            <div class="col-lg-4">
                <h2>Heading</h2>

                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.</p>

                <p><a class="btn btn-default" href="http://www.yiiframework.com/extensions/">Yii Extensions &raquo;</a></p>
            </div>
        </div>

    </div>
</div>

views/site/noticias.php
<div class="site-index">
    <div class="row">
        <?php
        foreach ($noticias as $registro){
        ?>
      <div class="col-xs-6 col-md-3">
          <?= yii\helpers\Html::img("@web/imgs/".$registro->foto,[
              'class'=>'img-responsive img-rounded',
              'style'=>'margin-top:10px',
          ])?>
          <?= "<h2>$registro->titulo</h2>" ?>
          <?= "<p>$registro->texto</p>" ?>
      </div>
        
       <?php 
        }
       ?>
        
    </div>
    
</div>

views/site/todo.php
<?php
    use yii\grid\GridView;
    use yii\helpers\Html;
    
?>

<?= 

GridView::widget([
    'dataProvider'=>$dataProvider,
    'summary'=>"Mostrando {begin} - {end} de {totalCount} elementos",
     'tableOptions' => [
         'class' => 'table table-striped table-bordered fondoAzul',
         'style'=>['width:500px']
         ],
    'columns'=>[
            'id',
            'titulo',
            'texto',
        [
                       'attribute'=>'foto',
                       'format'=>'raw',
                        'value' => function ($datos) {
                            $url = "@web/imgs/".$datos->foto;
                            return Html::img($url, ['alt'=>'myImage','width'=>'500px']);
                        }
                        ],
    ]
]);
    ?>
<?= 

GridView::widget([
    'dataProvider'=>$dataProvider1,
    'summary'=>"Mostrando {begin} - {end} de {totalCount} elementos",
     'tableOptions' => [
         'class' => 'table table-striped table-bordered fondoAzul',
         'style'=>['width:500px']
         ],
    'columns'=>[
        //['class' => 'yii\grid\SerialColumn'],
        
            'id',
            'titulo',
            'texto',
        [
                       'attribute'=>'foto',
                       'format'=>'raw',
                        'value' => function ($datos) {
                            $url = "@web/imgs/".$datos->foto;
                            return Html::img($url, ['alt'=>'myImage','width'=>'500px']);
                        }
                        ],
    ]
]);
    ?>

<?php 
/*
$v = $dataProvider->getPagination();
echo $v;
$v1 = $dataProvider1->getPagination();
echo $v1;
*/
?>